# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Summary:	Manage IO on many file handles 
Name:		perl-IO-Multiplex
Version:	1.13
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/IO-Multiplex/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MA/MARKOV/IO-Multiplex-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
IO::Multiplex is designed to take the effort out of managing multiple file
handles. It is essentially a really fancy front end to the select system call.
In addition to maintaining the select loop, it buffers all input and output
to/from the file handles. It can also accept incoming connections on one or
more listen sockets.

%prep
%setup -q -n IO-Multiplex-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Multiplex.3pm*

%changelog
* Fri Apr 15 2011 Paul Howarth <paul@city-fan.org> 1.13-1
- Update to 1.13
  - Fix handling of outbuf that contains '0' (CPAN RT#67458)
- Nobody else likes macros for commands

* Thu Feb 24 2011 Paul Howarth <paul@city-fan.org> 1.12-1
- Update to 1.12
  - Fixes for Windows (CPAN RT#66096)

* Mon Feb 21 2011 Paul Howarth <paul@city-fan.org> 1.11-1
- Update to 1.11
  - Avoid warning while adding pipe (CPAN RT#16259, CPAN RT#60068)
  - Add EWOULDBLOCK and non-blocking mode for windows (CPAN RT#23982)
  - Fix typo in documentation (CPAN RT#21085)
  - Avoid shutdown after close (CPAN RT#5885, CPAN RT#5715)
  - Use length of outbuf, not exists to see if it is empty
  - Turn "use warnings" on
- This release by MARKOV -> update source URL

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.10-5
- Rebuild for perl 5.12.1 in Rawhide

* Sat Jun  5 2010 Paul Howarth <paul@city-fan.org> 1.10-4
- Fix dist tag for RHEL-6 Beta

* Tue Feb 23 2010 Paul Howarth <paul@city-fan.org> 1.10-3
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Fri Sep 11 2009 Paul Howarth <paul@city-fan.org> 1.10-2
- Define RPM macros in global scope

* Tue Sep 16 2008 Paul Howarth <paul@city-fan.org> 1.10-1
- Update to 1.10
- License changed to GPL version 1 or later, or Artistic (i.e. same as perl)
- Add buildreq perl(ExtUtils::MakeMaker)

* Mon Mar  5 2007 Paul Howarth <paul@city-fan.org> 1.09-1
- Update to 1.09
- Fix argument order for find with -depth
- Fix dist tag for Fedora 7 onwards

* Mon Jan  9 2006 Paul Howarth <paul@city-fan.org> 1.08-1
- Package created as requirement for Net::Server package
